diff --git a/run/john.conf b/run/john.conf
index e72ffab..5420085 100644
--- a/run/john.conf
+++ b/run/john.conf
@@ -3198,30 +3235,30 @@ void restore()
 /* Convert from UTF-32 to UTF-8 */
 void filter()
 {
-    int i, c;
-    i = -1; c = 0;
-
-    while (word32[++i]) {
-        if (word32[i] >= 0x10000) {
-            word[c++] = 0xf0 | (word32[i]>>18);
-            word[c++] = 0x80 | (word32[i]>>12 & 0x3f);
-            word[c++] = 0x80 | (word32[i]>>6 & 0x3f);
-            word[c++] = 0x80 | (word32[i] & 0x3f);
-        }
-        else if (word16[i] >= 0x0800) {
-            word[c++] = 0xe0 | (word16[i]>>12);
-            word[c++] = 0x80 | (word16[i]>>6 & 0x3f);
-            word[c++] = 0x80 | (word16[i] & 0x3f);
-        }
-        else if (word16[i] >= 0x80) {
-            word[c++] = 0xc0 | (word16[i]>>6);
-            word[c++] = 0x80 | (word16[i] & 0x3f);
-        }
-        else {
-            word[c++] = word16[i];
-        }
-    }
-    word[c] = 0;
+	int i, c;
+	i = -1; c = 0;
+
+	while (utf32[++i]) {
+		if (utf32[i] >= 0x10000) {
+			word[c++] = 0xf0 | (utf32[i]>>18);
+			word[c++] = 0x80 | (utf32[i]>>12 & 0x3f);
+			word[c++] = 0x80 | (utf32[i]>>6 & 0x3f);
+			word[c++] = 0x80 | (utf32[i] & 0x3f);
+		}
+		else if (utf32[i] >= 0x0800) {
+			word[c++] = 0xe0 | (utf32[i]>>12);
+			word[c++] = 0x80 | (utf32[i]>>6 & 0x3f);
+			word[c++] = 0x80 | (utf32[i] & 0x3f);
+		}
+		else if (utf32[i] >= 0x80) {
+			word[c++] = 0xc0 | (utf32[i]>>6);
+			word[c++] = 0x80 | (utf32[i] & 0x3f);
+		}
+		else {
+			word[c++] = utf32[i];
+		}
+	}
+	word[c] = 0;
 }
 
 # Generic implementation of "dumb" exhaustive search, given a range of lengths
diff --git a/src/unused/mkdumb16.pl b/src/unused/mkdumb16.pl
index 0ac9bd5..0b30a2d 100755
--- a/src/unused/mkdumb16.pl
+++ b/src/unused/mkdumb16.pl
@@ -24,13 +24,13 @@ foreach my $entry (@alloced) {
 	} else {
 		if ($inrange) {
 			if ($last-$first > 2) {
-				printf "    c = 0x%x;            // from %s\n", $first, $desc[$first];
-				printf "    while (c < 0x%x)     // ..to %s\n", $last+1, $desc[$last];
-				print "        charset[i++] = c++;\n";
+				printf "\tc = 0x%x;\t\t// from %s\n", $first, $desc[$first];
+				printf "\twhile (c < 0x%x)\t// ..to %s\n", $last+1, $desc[$last];
+				print "\t\tcharset[i++] = c++;\n";
 			} else {
-				printf "    charset[i++] = 0x%x; // %s\n", $first, $desc[$first];
+				printf "\tcharset[i++] = 0x%x;\t// %s\n", $first, $desc[$first];
 				if ($last != $first) {
-					printf "    charset[i++] = 0x%x; // %s\n", $last, $desc[$last];
+					printf "\tcharset[i++] = 0x%x;\t// %s\n", $last, $desc[$last];
 				}
 			}
 			$inrange = 0;
-- 
1.7.4.1

